uniform lowp sampler2D uTex;
uniform mediump vec2 uTcScale;
uniform mediump vec2 uTcClamp;
uniform mediump vec2 uZoomStrength;

varying mediump vec2 vTc;

void main()
{
  // nearest neighbor scaling
  mediump vec2 tc = floor( vTc - 0.5 ) + 0.5;
  mediump vec3 a7frag = texture2D(uTex, tc * uTcScale).rgb;
  gl_FragColor = vec4(a7frag, 1.0);
}
